It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
I just installed this, when it asks me for credentials it fails to log in.
avatar
blackjudas: I just installed this, when it asks me for credentials it fails to log in.
Apparently GOG changed the login url

LGOGDownloader 1.10
- Fix login (GOG changed login url)
- Use namespace for Util instead of class with static member functions
- Add missing WTFPL license text to HTTP and Util sources

http://sites.google.com/site/gogdownloader/lgogdownloader-1.10.tar.gz

Edit: Why am I using class with static member functions for HTTP?

LGOGDownloader 1.11
- Use namespace for HTTP instead of class with static member functions

http://sites.google.com/site/gogdownloader/lgogdownloader-1.11.tar.gz
Post edited December 03, 2012 by Sude
I noticed strange behaviour using this downloader; I'm trying to download Resonance but I got this:


[jiveaxe@chakra ../bin/Release]$ ./lgogdownloader --download resonance --directory /Games
Found nothing in https://api.gog.com/en/downloader2/game/pharaoh_cleopatra/
[jiveaxe@chakra ../bin/Release]$ ./lgogdownloader --download resonance --directory /Games
Found nothing in https://api.gog.com/en/downloader2/game/worlds_of_ultima_the_savage_empire/
[jiveaxe@chakra ../bin/Release]$ ./lgogdownloader --download resonance --directory /Games
Getting game info 29 / 29
Downloading cover /Games/beneath_a_steel_sky/cover_0.jpg
100% [==========================] 0.98/0.98MB @ 501.42kB/s
/Games/beneath_a_steel_sky/setup_beneath_a_steel_sky_2.0.0.9.exe
100% [==========================] 78.13/78.13MB @ 784.32kB/s
Dowloading: manual (15 pages)
/Games/beneath_a_steel_sky/extras/bass_manual.zip
100% [==========================] 0.12/0.12MB @ 122.37kB/s
Dowloading: HD wallpapers
/Games/beneath_a_steel_sky/extras/bass_wallpapers.zip
100% [==========================] 5.08/5.08MB @ 867.78kB/ss
Dowloading: avatars
/Games/beneath_a_steel_sky/extras/bass_avatars.zip
100% [==========================] 0.25/0.25MB @ infkB/ss
Dowloading: comic book
/Games/beneath_a_steel_sky/extras/bass_comic_book.zip
100% [==========================] 11.83/11.83MB @ 865.50kB/s
Downloading cover /Games/blackwell_bundle/cover_0.png
100% [==========================] 1.74/1.74MB @ 592.86kB/skB/s
/Games/blackwell_bundle/setup_blackwell_bundle_1.0.0.8.exe
^C8% [===== ] 163.14/883.03MB @ 799.32kB/s


It downloads wrong games
Post edited December 14, 2012 by jiveaxe
avatar
jiveaxe: [jiveaxe@chakra ../bin/Release]$ ./lgogdownloader --download resonance --directory /Games
you are missing "--game" switch before the game name
./lgogdownloader --download --game resonance --directory /Games
avatar
Sude: you are missing "--game" switch before the game name
./lgogdownloader --download --game resonance --directory /Games
Ops, it was written at the end of first post...

I forgot a thing: compiling 1.11 against jsoncpp-0.5.0 fails with messages like this one:

src/http.cpp:36:38: error: ‘class Json::Reader’ has no member named ‘getFormattedErrorMessages’

seems that correct name of member function is

getFormatedErrorMessages()

(Formated instead of Formatted). Replacing all occurrences of getFormattedErrorMessages in src/api.cpp and src/http.cpp fixed the error.

Can you confirm the issue?

Very thanks.
Post edited December 15, 2012 by jiveaxe
Compiled successfully also in raspbian. So I can use this client on raspberry when downloading huge games (like 'the witcher 2').

During compilation I noticed that this debian provides jsoncpp 0.60rc and the error previously reported doesn't pop. Since that version is still 'release candidate' it isn't available in my distro, so the compilation error.
I just built it and it works, but it doesn't resume the download of half downloaded files. How can I make it to resume?
Hello, I'm new to Linux and to GoG. I'm not sure where to put this post and I stumbled on this page while trying to get Dungeon Keeper II to run. I have downloaded the installer and am using Wine to execute it. I cd to directory with DKII installer, and run the installer. A few lines later I get the following error
Runtime Error (at 131:148):
Access violation at address 7C80B000 in module 'gdiplus.dll'. Read of address 002125A4.

At that point, it will no longer install.
I've tried browsing the internet, but can't really get anywhere, except I seem to be reading that GOG games don't run well in Linux, or not at all.
Is it possible to get this running? Can anyone provide some assistance?
Thank you in advance.
Yes, GOG installers have problem with Wine version of gdiplus. You need to use native override for it.

Install it with winetricks for example:

winetricks gdiplus

And make sure it's set to native override:
1. Open wine configuration (run: winecfg)
2. Go to Libraries and check if gdiplus is shown there and set to native. If not, select it from the dropdown list and set "native".
Post edited December 25, 2012 by shmerl
Thank you shmerl. It worked perfectly.
One or two more questions. The mouse and gameplay seem choppy. I tried adjusting the scroll speed and mouse sensitivity in-game, but no effect. Is there another trick to make the mouse and game run smoother? And how does one adjust the resolution for in game playing?
I'm not really familiar with Dungeon Keeper II (just bought it actually). Better ask that in the game dedicated subforum, since this thread is for Linux Gog Downloader.
Post edited December 26, 2012 by shmerl
LGOGDownloader 1.12
- Fix user id not being stored correctly: "int" was too small to store the id number, use "unsigned long long".
- Use C++11: Use std::to_string() instead of Util::intToString. Removed Util::intToString as unnecessary. API no longer depends on Util.
- Use C++11: Change string to int conversions to use std::stoi() instead of atoi()
- Removed the option to list or automatically download updated files. This feature has been broken for a while now and there is no point in giving the choice to use this feature until it gets fixed.

http://sites.google.com/site/gogdownloader/lgogdownloader-1.12.tar.gz
avatar
shmerl: I just built it and it works, but it doesn't resume the download of half downloaded files. How can I make it to resume?
It should automatically resume. However the way that the progress bar works it looks like it starts from the beginning.
I'll see if I can make the progress bar aware of the already downloaded parts in the next version.
Post edited December 27, 2012 by Sude
Sude: Thanks!
lgogdownloader won't compile in Arch anymore without some intervention.

Some reorganisation of the jsoncpp package has changed a few things. First is that we no longer have to sed in the PKGBUILD, because the paths have been fixed - but creates another problem. Arch, while it likes to stay at the cutting edge, won't package release candidates and lgogdownloader has been written for jsoncpp 0.6.0-rc2.

SO, for Archers wanting to build this, you will have to use the following PKGBUILD to install jsoncpp. It's standards breaking and will probably blow up your computer:

pkgname=jsoncpp
pkgver=0.6.0
pkgrel=2
pkgdesc="A JSON C++ library"
url="http://jsoncpp.sourceforge.net/"
license="Public"
arch=('i686' 'x86_64')
makedepends=('scons' 'gcc')
depends=('gcc-libs')
source=("http://sourceforge.net/projects/jsoncpp/files/jsoncpp/0.6.0-rc2/jsoncpp-src-${pkgver}-rc2.tar.gz/download")
md5sums=('363e2f4cbd3aeb63bf4e571f377400fb')

build(){
cd ${startdir}/src/${pkgname}-src-${pkgver}-rc2
scons platform=linux-gcc

mkdir -p ${pkgdir}/usr/include/jsoncpp
cp -r include/json ${pkgdir}/usr/include/jsoncpp/json

mkdir -p ${pkgdir}/usr/lib
cp buildscons/linux-gcc-*/src/lib_json/libjson_linux-gcc*libmt.so ${pkgdir}/usr/lib/
cd ${pkgdir}/usr/lib/
ln -sf libjson_linux-gcc-*_libmt.so libjsoncpp.so

}

*Then* compile lgogdownloader. I will upload an updated PKGBUILD to the AUR later, but it won't work without this manual intervention. If you want something done about it you will have to complain to the maintainer of the jsoncpp package, or the jsoncpp devs and get them to hurry with the final version of 0.6.0.
hey sude, on my mageia2 system as well as my usual edits (detailed previous;y) i had to alter the 'asUint64' to 'asUint' at 201:78 in api.cpp
to get 1.12 to compile, i don't pretend to know what this means though :)

diziet